$(document).ready(
  function(){
    init_show_xml_links();
    init_players("");
    init_menu_source("body");
    init_album_play_all();
  }
);

// -----------------------------------------------------------------
//                                                     players audio
//

function init_players(elt){
  $(elt + " audio").jaudioPlayer({
    "player_graphics": mw_path_url + "plugins/mw_sourceml/app/out/default/images/jaudio-player/jap-graphics.png",
    "loading_img": mw_path_url + "plugins/mw_sourceml/app/out/default/images/jaudio-player/jap-loading.gif",
    "auto_play_next_track": false,
    "loop": false,
    "waveform_class": "waveform"
  });
}

function init_album_play_all(){
  $("#play_all a").click(
    function(){
      $("audio").jaudioPlayer("set_option", "auto_play_next_track", true);
      $("#audio_wrapper_1 .player_controls .play").trigger("click");
      return false;
    }
  );
}


// -----------------------------------------------------------------
//                                                        source xml
//

var loaded = false;
var show_xml_links = {};

function show_xml(id){
  alert(xml_contents[id]);
}

function init_show_xml_links(){
  for(var i in show_xml_links){
    $("#show_xml_" + i).colorbox();
  }
  loaded = true;
}

function set_show_xml_links(i){
  if(loaded) $("#show_xml_" + i).colorbox();
  else show_xml_links[i] = true;
}

// -----------------------------------------------------------------
//                                             sources / derivations
//

function toggle_source_list(id_block){
  var content = $("#source_list_" + id_block + " .pistes").html();
  if(content.length > 0){
    $("#source_list_" + id_block).slideUp(200);
    $("#source_list_" + id_block + " .pistes").empty();
    $("#toggle_sources_list_" + id_block + ".block_list_toggle").html("[+]");
	  $("audio").jaudioPlayer("clean_audio_elts");
  }
  else{
    $("#source_list_" + id_block).slideDown(200);
    $("#toggle_sources_list_" + id_block + ".block_list_toggle").html("[-]");
    $("#source_list_" + id_block + " .pistes").html("<div class=\"loading\"><span>en chargement...</span></div>");
    $.ajax({
      url: mw_site_url + "index.php?e=content/sources/sources&id=" + id_block,
      dataType: "html",
      success: function(content){
        $("#source_list_" + id_block + " .pistes").html(content);
        init_players("#source_list_" + id_block + " .pistes");
        init_menu_source("#source_list_" + id_block + " .pistes");
      }
    });
  }
}

function toggle_derivation_list(id_block){
  var content = $("#derivation_list_" + id_block + " .derivation").html();
  if(content.length > 0){
    $("#derivation_list_" + id_block).slideUp(200);
    $("#derivation_list_" + id_block + " .derivation").empty();
    $("#toggle_derivation_list_" + id_block + ".block_list_toggle").html("[+]");
	  $("audio").jaudioPlayer("clean_audio_elts");
  }
  else{
    $("#derivation_list_" + id_block).slideDown(200);
    $("#toggle_derivation_list_" + id_block + ".block_list_toggle").html("[-]");
    $("#derivation_list_" + id_block + " .derivation").html("<div class=\"loading\"><span>en chargement...</span></div>");
    $.ajax({
      url: mw_site_url + "index.php?e=content/sources/derivations&id=" + id_block,
      dataType: "html",
      success: function(content){
        $("#derivation_list_" + id_block + " .derivation").html(content);
        init_players("#derivation_list_" + id_block + " .derivation");
        init_menu_source("#derivation_list_" + id_block + " .derivation");
      }
    });
  }
}

// -----------------------------------------------------------------
//                                                     menus sources
//

function init_menu_source(prefix){
  $(prefix + " .menu_source a.submit").click(
    function(){
      $(this).parents("form").first().submit();
    }
  );
}
